local function getItemLink(container, slot) return select(7, GetContainerItemInfo(container, slot)) or "" end
local function getBindType(container, slot) return select(14, GetItemInfo(getItemLink(container, slot))) or 0 end
local function isBoe(container, slot) return getBindType(container, slot) == 1 end

local showGlow = function(container, slot)
	ActionButton_ShowOverlayGlow(_G["ElvUI_ContainerFrameBag" .. container .. "Slot" .. slot])
end
local hideGlow = function(container, slot)
	ActionButton_HideOverlayGlow(_G["ElvUI_ContainerFrameBag" .. container .. "Slot" .. slot])
end

aura_env.update = function()
	for container = 0, 4 do
		for slot = 1, GetContainerNumSlots(container) do
			print(C_Item.IsBound(ItemLocation:CreateFromBagAndSlot(container, slot)))
			if isBoe(container, slot) then
				showGlow(container, slot)
			else
				hideGlow(container, slot)
			end
		end
	end
end
